# Uses of Class
org.xnio.channels.PushBackStreamChannel

Packages that use PushBackStreamChannel
Package
Description
org.xnio.channels
The core XNIO channel API.

## Uses of PushBackStreamChannel in org.xnio.channels

Methods in org.xnio.channels that return types with arguments of type PushBackStreamChannel
Modifier and Type
Method
Description
`ChannelListener.Setter<? extends PushBackStreamChannel>`
PushBackStreamChannel.`getCloseSetter()`
`ChannelListener.Setter<? extends PushBackStreamChannel>`
PushBackStreamChannel.`getReadSetter()`
Method parameters in org.xnio.channels with type arguments of type PushBackStreamChannel
Modifier and Type
Method
Description
`void`
PushBackStreamChannel.`setCloseListener(ChannelListener<? super PushBackStreamChannel> closeListener)`
`void`
PushBackStreamChannel.`setReadListener(ChannelListener<? super PushBackStreamChannel> readListener)`